'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _plugins = require('./plugins');

var _plugins2 = _interopRequireDefault(_plugins);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class NotFound {

  constructor(output, argv) {
    this.argv = argv;
    this.out = output;
    this.config = output.config;
  }

  allCommands() {
    let plugins = new _plugins2.default(this.out);
    return plugins.commands.reduce((commands, c) => {
      return commands.concat([c.id]).concat(c.aliases || []);
    }, []);
  }

  closest(cmd) {
    const LST = require('levenshtein');
    let max;
    for (let c of this.allCommands()) {
      if (!c) continue;
      let d = new LST(cmd, c);
      if (!max || d.distance < max[1]) max = [c, d.distance];
    }
    return max ? max[0] : null;
  }

  async run() {
    let closest = this.closest(this.argv[1]);

    let perhaps = closest ? `Perhaps you meant ${this.out.color.yellow(closest)}\n` : '';
    this.out.error(`${this.out.color.yellow(this.argv[1])} is not a heroku command.
${perhaps}Run ${this.out.color.cmd('heroku help')} for a list of available commands.`, 127);
  }
}
exports.default = NotFound;