'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _plugin_manager = require('./plugin_manager');

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class BuiltinPlugins {
  constructor(out) {
    this.out = out;
  }

  /**
   * list builtin plugins
   * @returns {PluginPath[]}
   */
  list() {
    let commandsPath = _path2.default.resolve(_path2.default.join(__dirname, '..', 'commands'));
    return [new _plugin_manager.PluginPath({ output: this.out, type: 'builtin', path: commandsPath })];
  }
}
exports.default = BuiltinPlugins;