'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

require('cli-engine-config');

var _plugin_manager = require('./plugin_manager');

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class CorePlugins {
  constructor(out) {
    this.out = out;
    this.config = this.out.config;
  }

  /**
   * list core plugins
   * @returns {PluginPath[]}
   */
  list() {
    let cli = this.config.pjson['cli-engine'];
    if (!cli) return [];
    return (cli.plugins || []).map(name => {
      return new _plugin_manager.PluginPath({ output: this.out, type: 'core', path: _path2.default.join(this.config.root, 'node_modules', name) });
    });
  }
}
exports.default = CorePlugins;